您尚未登录。

#1 2019-12-24 21:54:24

Insua
Xeneizes
注册时间: 2013-11-19
帖子: 70

更新系统报错了 安装 xorgproto (2019.2-2) 破坏依赖 'dmxproto'

➜  ~ sudo pacman -Syu             
:: 正在同步软件包数据库...
 core 已经是最新版本
 extra 已经是最新版本
 community 已经是最新版本
 multilib 已经是最新版本
 archlinuxcn 已经是最新版本
:: 正在进行全面系统更新...
正在解析依赖关系...
正在查找软件包冲突...
错误:无法准备事务处理 (无法满足依赖关系)
:: 安装 xorgproto (2019.2-2) 破坏依赖 'dmxproto' (libdmx 需要)
:: 安装 xorgproto (2019.2-2) 破坏依赖 'xf86dgaproto' (libxxf86dga 需要)

请问一下怎么处理呢?

离线

#2 2019-12-25 00:35:06

aluminium
会员
注册时间: 2019-02-01
帖子: 12
个人网站

Re: 更新系统报错了 安装 xorgproto (2019.2-2) 破坏依赖 'dmxproto'

去看官网公告

Insua 说:

Xorg 清理需要手动干预

我们正在清理 Xorg,此次更新如果你遇到如下错误信息那么需要手动干预:

:: installing xorgproto (2019.2-2) breaks dependency 'inputproto' required by lib32-libxi
:: installing xorgproto (2019.2-2) breaks dependency 'dmxproto' required by libdmx
:: installing xorgproto (2019.2-2) breaks dependency 'xf86dgaproto' required by libxxf86dga

更新时,请使用命令: pacman -Rdd libdmx libxxf86dga && pacman -Syu 来完成更新。

离线

页脚